package com.sooka.system.service.impl;

import java.util.List;

import com.sooka.common.annotation.DataSource;
import com.sooka.common.core.text.Convert;
import com.sooka.common.enums.DataSourceType;
import com.sooka.framework.util.ShiroUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.sooka.system.mapper.TgjjDkxxMapper;
import com.sooka.system.domain.TgjjDkxx;
import com.sooka.system.service.ITgjjDkxxService;

/**
 * 个人贷款信息Service业务层处理
 *
 * @author lei
 * @date 2021-11-16
 */
@Service

public class TgjjDkxxServiceImpl extends Guiji_Base_Service implements ITgjjDkxxService
{
    @Autowired
    private TgjjDkxxMapper tgjjDkxxMapper;

    /**
     * 查询个人贷款信息
     *
     * @param ID 个人贷款信息ID
     * @return 个人贷款信息
     */
    @Override
    public TgjjDkxx selectTgjjDkxxById(Long ID)
    {
        return tgjjDkxxMapper.selectTgjjDkxxById(ID);
    }

    /**
     * 查询个人贷款信息列表
     *
     * @param tgjjDkxx 个人贷款信息
     * @return 个人贷款信息
     */
    @Override
    public List<TgjjDkxx> selectTgjjDkxxList(TgjjDkxx tgjjDkxx)
    {
        List ls = tgjjDkxxMapper.selectTgjjDkxxList(tgjjDkxx);
        tgjjDkxx.setInterfaceinfoId("a80c4499-3ad6-4fbf-a7a3-d4b355a6d1f0");
        tgjjDkxx.setInterfaceinfoName("共享-市公积金-个人贷款信息");
        tgjjDkxx.setInterfacetype("platform_interfacetype_1");
        Long deptId = ShiroUtils.getSysUser().getDept().getDeptId();
        String deptName = ShiroUtils.getSysUser().getDept().getDeptName();
        tgjjDkxx.setDeptId(deptId);
        tgjjDkxx.setDeptName(deptName);
        add_log(tgjjDkxx);
        return ls;
    }

    /**
     * 新增个人贷款信息
     *
     * @param tgjjDkxx 个人贷款信息
     * @return 结果
     */
    @Override
    public int insertTgjjDkxx(TgjjDkxx tgjjDkxx)
    {
        return tgjjDkxxMapper.insertTgjjDkxx(tgjjDkxx);
    }

    /**
     * 修改个人贷款信息
     *
     * @param tgjjDkxx 个人贷款信息
     * @return 结果
     */
    @Override
    public int updateTgjjDkxx(TgjjDkxx tgjjDkxx)
    {
        return tgjjDkxxMapper.updateTgjjDkxx(tgjjDkxx);
    }

    /**
     * 删除个人贷款信息对象
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteTgjjDkxxByIds(String ids)
    {
        return tgjjDkxxMapper.deleteTgjjDkxxByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除个人贷款信息信息
     *
     * @param ID 个人贷款信息ID
     * @return 结果
     */
    @Override
    public int deleteTgjjDkxxById(Long ID)
    {
        return tgjjDkxxMapper.deleteTgjjDkxxById(ID);
    }
}
